import com.imsl.chart.*;
import java.awt.Color;

public class SampleLabels extends JFrameChart {

    public SampleLabels() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
      chart.getLegend().setPaint(true);
  
        // Data set 1 - labeled with X
        double y1[] = {4, 6, 2, 1, 8};
        Data data1 = new Data(axis, y1);
        data1.setDataType(Data.DATA_TYPE_MARKER);
        data1.setMarkerColor(Color.blue);
        data1.setTextColor(Color.blue);
        data1.setLabelType(Data.LABEL_TYPE_X);
        
        // Data set 2 - labeled with Y
        double y2[] = {2, 5, 3, 4, 6};
        Data data2 = new Data(axis, y2);
        data2.setDataType(Data.DATA_TYPE_MARKER | Data.DATA_TYPE_LINE);
        data2.setMarkerColor(Color.pink);
        data2.setMarkerType(Data.MARKER_TYPE_FILLED_CIRCLE);
        data2.setLineColor(Color.pink);
        data2.setTextColor(Color.pink);
        data2.setLabelType(Data.LABEL_TYPE_Y);
        
        // Data set 3 - labeled with Title
        double y3[] = {6, 2, 5, 7, 3};
        Data data3 = new Data(axis, y3);
        data3.setDataType(Data.DATA_TYPE_MARKER);
        data3.setMarkerColor(Color.red);
        data3.setMarkerType(Data.MARKER_TYPE_HOLLOW_SQUARE);
        data3.setLineColor(Color.red);
        data3.setTextColor(Color.red);
        data3.setLabelType(Data.LABEL_TYPE_TITLE);
        data3.setTitle("Red");
        data3.getTitle().setAlignment(Data.TEXT_X_LEFT | Data.TEXT_Y_CENTER);
    }
    
    public static void main(String argv[]) {
        new SampleLabels().setVisible(true);
    }
}